| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
solveSP.cpp File Reference

Implicit surface site concentration solver. More...

`#include "cantera/kinetics/solveSP.h"`
`#include "cantera/thermo/SurfPhase.h"`
`#include "cantera/kinetics/ImplicitSurfChem.h"`
Include dependency graph for solveSP.cpp:

## Detailed Description

Implicit surface site concentration solver.

Definition in file solveSP.cpp.

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static double | calc_damping (double *x, double *dx, size_t dim, int *)
static double | calcWeightedNorm (const double wtX[], const double dx[], size_t dim)
| This function calculates the norm of an update, dx[], based on the weighted values of x.
static double | calc_damping (double x[], double dxneg[], size_t dim, int *label)
| This function calculates a damping factor for the Newton iteration update vector, dxneg, to insure that all site and bulk fractions, x, remain bounded between zero and one.